Bug 45177 - EDITING : CRASH when enter *tralala* in outline view
Summary: EDITING : CRASH when enter *tralala* in outline view
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.4.1 RC1
Hardware: All All
: medium major
Assignee: Thorsten Behrens (CIB)
URL:
Whiteboard: target:3.5.1
Keywords: regression
Depends on:
Blocks:
 
Reported: 2012-01-24 06:05 UTC by fabien.michel
Modified: 2012-02-16 04:19 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description fabien.michel 2012-01-24 06:05:25 UTC
1. Start a fresh install of Libreoffice.
2. Create an empty presentation
3. Switch to outline view
4. enter the text : (no copy / paste)
*tralala*
5. The text go bold because of "*" characters
6. Cancel it with Cmd + Z
7. The text switch back to normal but the last "*" is missing
8. Enter the "*" character another time
9. Libreoffice crash
Comment 1 s-joyemusequna 2012-01-24 08:01:51 UTC
I confirm the Bug with LibO 3.5 RC1 (Windows XP and Windows Vista 64). Changing the platform from Mac OS X to "All".
Comment 2 Rainer Bielefeld Retired 2012-01-24 08:52:12 UTC
[Reproducible] with "LibreOffice 3.4.5 German UI [Build ID: OOO340m1 (Build:502)]" parallel Server installation on German WIN7 Home Premium (64bit).

Also reproducible with an 3.4.1 RC based daily.

No need for "*tralala*, crashes with every "*x*", also using undo-icon

Works fine with "LibreOffice Portable 3.3.0  - WIN7  Home Premium (64bit) German UI [OOO330m19 (Build:6) tag libreoffice-3.3.0.4]" 

@Thorsten:
Please feel free to reassign (or reset Assignee to default) if it’s not your area. Please set Status to ASSIGNED if you accept this Bug.
Comment 3 Thorsten Behrens (CIB) 2012-01-24 10:25:03 UTC
Confirmed, also for -3-5. Seems undo is in a rather limbo state.
Comment 4 s-joyemusequna 2012-02-15 03:24:02 UTC
Works with LibO 3.3.4 (tested on Windows XP). It is a regression.
Comment 5 Not Assigned 2012-02-15 07:56:25 UTC
Thorsten Behrens commited a patch related to this issue to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=57e6f04066cfddfa79eb2b79cf5c45653c79eff3

Fix fdo#45177 - avoid linked undo for the while.
Comment 6 fabien.michel 2012-02-15 08:03:47 UTC
Thnaks for the correction.
But if i understand, you just cancel the undo action.

I wonder if it will be possible to write text like "*tralala*" without make it bold.
Actually the only way i know to cancel the bold in that case, is to undo.
Comment 7 Thorsten Behrens (CIB) 2012-02-15 08:27:25 UTC
Fixed the crash - some polishing needed, but should be much better now.
Comment 8 Thorsten Behrens (CIB) 2012-02-15 08:31:46 UTC
(In reply to comment #6)
> I wonder if it will be possible to write text like "*tralala*" without make it > bold.
> Actually the only way i know to cancel the bold in that case, is to undo.
>
Sure, go to Tools->Autocorrect Options->Options, uncheck "Automatic bold and underline"
Comment 9 Not Assigned 2012-02-16 04:06:04 UTC
Thorsten Behrens commited a patch related to this issue to "libreoffice-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5b28f3488a033bd38b31071463b112df1713b64b&g=libreoffice-3-5

Fix fdo#45177 - avoid linked undo for the while.


It will be available in LibreOffice 3.5.1.
Comment 10 Markus Mohrhard 2012-02-16 04:19:54 UTC
Sorry for the mistake, just fixed the error in the script.